# Uses of Enum Class
org.springframework.web.util.UriComponentsBuilder.ParserType

Packages that use UriComponentsBuilder.ParserType
Package
Description
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of UriComponentsBuilder.ParserType in org.springframework.web.util

Methods in org.springframework.web.util that return UriComponentsBuilder.ParserType
Modifier and Type
Method
Description
`UriComponentsBuilder.ParserType`
DefaultUriBuilderFactory.`getParserType()`
Return the configured parser type.
`static UriComponentsBuilder.ParserType`
UriComponentsBuilder.ParserType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UriComponentsBuilder.ParserType[]`
UriComponentsBuilder.ParserType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.web.util with parameters of type UriComponentsBuilder.ParserType
Modifier and Type
Method
Description
`static UriComponentsBuilder`
UriComponentsBuilder.`fromUriString(String uri, UriComponentsBuilder.ParserType parserType)`
Create a builder that is initialized by parsing the given URI string.
`void`
DefaultUriBuilderFactory.`setParserType(UriComponentsBuilder.ParserType parserType)`
Set the `UriComponentsBuilder.ParserType` to use.